Account Filter String

Hi,

I used an account filter string in Authorative source, and it doesn’t work. The requirement is to exclude an account as part of aggregation, below is the one used in connectorAttributes,

“account.filterString”: “(EMPLOYEEID != /“12345/”)”

I ran the unoptimized aggregation but IDN creating it. Please advise

What’s source and connector type ?

Use Below curl to patch filter string to your source:
curl --location --request PATCH 'https://{{tenant}}.api.identitynow.com/beta/sources/{{sourceId}}' \
--header 'Content-Type: application/json-patch+json' \
--header 'Authorization: Bearer eyJ0eXAiOiJKV1QiLC7G0Y7bM2Xlffq2O897nMcu1tQ7tWwIqd1R65IUhTdgvid6YKI5LUutUx4EbwfrvKJRQGysKgO-fg4Q' \
--data '[
{
"op": "add",
"path": "/connectorAttributes/filterString",
"value": "( EMPLOYEEID != \"12345\" )"
}
]'

Which connector you’re using as authoritative source?

The account.filterString will filter OUT the users that meet your criteria. So if it worked, you’d be removing all accounts that don’t have an EMPLOYEEID of 12345. And your slashes to escape the quotes are backwards.

I think you want something more like:

"account.filterString": "(EMPLOYEEID == \"12345\")"
2 Likes

Hello,

This is an Exclusion Filter and NOT Inclusion Filter.

If means if your expression is –> “account.filterString”: “(EMPLOYEEID != /“12345/”)”

then, all accounts whose EMPLOYEEID is not equals to 12345 will be excluded from aggregation by SailPoint ISC tenant.

Regards,

Rohit Wekhande.

1 Like

This topic was automatically closed 60 days after the last reply. New replies are no longer allowed.